> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# updateW4Information

> 
The `updateW4Information` API is used to modify previously submitted federal tax withholding information for employees.



## OpenAPI

````yaml put /userOnboarding/updateW4Information
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /userOnboarding/updateW4Information:
    put:
      tags: []
      summary: updateW4Information
      description: >-

        The `updateW4Information` API is used to modify previously submitted
        federal tax withholding information for employees.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: updateW4Information
                  example: updateW4Information
                w4Information:
                  type: object
                  properties:
                    userId:
                      type: string
                      title: ''
                      format: uuid
                    w4FilingStatus:
                      type: string
                      maxLength: 25
                      enum:
                        - Single
                        - Married filing jointly
                        - Head of household
                        - Married Qualifying widow(er)
                        - Married Filing Separately
                    haveMultipleJob:
                      type: boolean
                    dependents:
                      type: integer
                    dependentsAbove18:
                      type: integer
                    otherIncome:
                      type: integer
                    otherDeduction:
                      type: integer
                    extraWithholding:
                      type: integer
                    hasMilitarySpouseExemption:
                      type: boolean
                    stateAdditionalDeduction:
                      type: integer
                    isNonResident:
                      type: boolean
                    azDeductionPercent:
                      type: integer
                  required:
                    - userId
                  x--orders:
                    - w4InformationId
                    - w4FilingStatus
                    - haveMultipleJob
                    - dependents
                    - dependentsAbove18
                    - otherIncome
                    - otherDeduction
                    - ExtraWithholding
                    - HasMiltarySpouseExemption
                    - StateAdditionalDeduction
                    - IsNonResident
                    - AZDeductionPercent
              required:
                - method
                - w4Information
              x--orders:
                - method
                - w4Information
            example:
              method: updateW4Information
              w4Information:
                userId: e066e305-3816-4b06-8576-50d2502be436
                w4FilingStatus: Head of household
                haveMultipleJob: true
                dependents: 3
                dependentsAbove18: 2
                otherIncome: 1500
                otherDeduction: 150
                extraWithholding: 10
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  w4Information:
                    type: object
                    properties:
                      userId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - userId
                      - status
                      - message
                    x--orders:
                      - w4InformationId
                      - status
                      - message
                required:
                  - w4Information
                x--orders:
                  - w4Information
              example:
                w4Information:
                  userId: e066e305-3816-4b06-8576-50d2502be436
                  status: Ready
                  message: The W4Information has been updated successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: EmployeeId is mandatory and cannot be empty.
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````